Index: orxonox/trunk/src/lib/sound/Makefile.in
===================================================================
--- orxonox/trunk/src/lib/physics/Makefile.in	(revision 4504)
+++ orxonox/trunk/src/lib/sound/Makefile.in	(revision 4506)
@@ -16,5 +16,5 @@
 
 
-SOURCES = $(libORXphysics_a_SOURCES)
+SOURCES = $(libORXsound_a_SOURCES)
 
 srcdir = @srcdir@
@@ -39,5 +39,5 @@
 POST_UNINSTALL = :
 host_triplet = @host@
-subdir = src/lib/physics
+subdir = src/lib/sound
 DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in
@@ -52,19 +52,12 @@
 AR = ar
 ARFLAGS = cru
-libORXphysics_a_AR = $(AR) $(ARFLAGS)
-libORXphysics_a_LIBADD =
-am_libORXphysics_a_OBJECTS = physics_interface.$(OBJEXT) \
-	physics_connection.$(OBJEXT) physics_engine.$(OBJEXT) \
-	field.$(OBJEXT) gravity.$(OBJEXT) point_gravity.$(OBJEXT) \
-	twirl.$(OBJEXT)
-libORXphysics_a_OBJECTS = $(am_libORXphysics_a_OBJECTS)
+libORXsound_a_AR = $(AR) $(ARFLAGS)
+libORXsound_a_LIBADD =
+am_libORXsound_a_OBJECTS = sound_engine.$(OBJEXT)
+libORXsound_a_OBJECTS = $(am_libORXsound_a_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
-@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/field.Po ./$(DEPDIR)/gravity.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/physics_connection.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/physics_engine.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/physics_interface.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/point_gravity.Po ./$(DEPDIR)/twirl.Po
+@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/sound_engine.Po
 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
@@ -72,6 +65,6 @@
 CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
 	-o $@
-SOURCES = $(libORXphysics_a_SOURCES)
-DIST_SOURCES = $(libORXphysics_a_SOURCES)
+SOURCES = $(libORXsound_a_SOURCES)
+DIST_SOURCES = $(libORXsound_a_SOURCES)
 HEADERS = $(noinst_HEADERS)
 ETAGS = etags
@@ -187,21 +180,7 @@
 target_vendor = @target_vendor@
 MAINSRCDIR = ../..
-noinst_LIBRARIES = libORXphysics.a 
-libORXphysics_a_SOURCES = physics_interface.cc \
-		       	  physics_connection.cc \
-		          physics_engine.cc \
-		          fields/field.cc \
-		          fields/gravity.cc \
-		          fields/point_gravity.cc \
-		          fields/twirl.cc
-
-noinst_HEADERS = physics_interface.h \
-	        physics_connection.h \
-	        physics_engine.h \
-	        fields/field.h \
-	        fields/gravity.h \
-	        fields/point_gravity.h \
-	        fields/twirl.h
-
+noinst_LIBRARIES = libORXsound.a 
+libORXsound_a_SOURCES = sound_engine.cc
+noinst_HEADERS = sound_engine.h
 all: all-am
 
@@ -217,7 +196,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/physics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/sound/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/lib/physics/Makefile
+	  $(AUTOMAKE) --foreign  src/lib/sound/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -240,8 +219,8 @@
 clean-noinstLIBRARIES:
 	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
-libORXphysics.a: $(libORXphysics_a_OBJECTS) $(libORXphysics_a_DEPENDENCIES) 
-	-rm -f libORXphysics.a
-	$(libORXphysics_a_AR) libORXphysics.a $(libORXphysics_a_OBJECTS) $(libORXphysics_a_LIBADD)
-	$(RANLIB) libORXphysics.a
+libORXsound.a: $(libORXsound_a_OBJECTS) $(libORXsound_a_DEPENDENCIES) 
+	-rm -f libORXsound.a
+	$(libORXsound_a_AR) libORXsound.a $(libORXsound_a_OBJECTS) $(libORXsound_a_LIBADD)
+	$(RANLIB) libORXsound.a
 
 mostlyclean-compile:
@@ -251,11 +230,5 @@
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/field.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gravity.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physics_connection.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physics_engine.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/physics_interface.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/point_gravity.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/twirl.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sound_engine.Po@am__quote@
 
 .cc.o:
@@ -274,68 +247,4 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
-
-field.o: fields/field.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT field.o -MD -MP -MF "$(DEPDIR)/field.Tpo" -c -o field.o `test -f 'fields/field.cc' || echo '$(srcdir)/'`fields/field.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/field.Tpo" "$(DEPDIR)/field.Po"; else rm -f "$(DEPDIR)/field.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='fields/field.cc' object='field.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/field.Po' tmpdepfile='$(DEPDIR)/field.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o field.o `test -f 'fields/field.cc' || echo '$(srcdir)/'`fields/field.cc
-
-field.obj: fields/field.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT field.obj -MD -MP -MF "$(DEPDIR)/field.Tpo" -c -o field.obj `if test -f 'fields/field.cc'; then $(CYGPATH_W) 'fields/field.cc'; else $(CYGPATH_W) '$(srcdir)/fields/field.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/field.Tpo" "$(DEPDIR)/field.Po"; else rm -f "$(DEPDIR)/field.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='fields/field.cc' object='field.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/field.Po' tmpdepfile='$(DEPDIR)/field.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o field.obj `if test -f 'fields/field.cc'; then $(CYGPATH_W) 'fields/field.cc'; else $(CYGPATH_W) '$(srcdir)/fields/field.cc'; fi`
-
-gravity.o: fields/gravity.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT gravity.o -MD -MP -MF "$(DEPDIR)/gravity.Tpo" -c -o gravity.o `test -f 'fields/gravity.cc' || echo '$(srcdir)/'`fields/gravity.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/gravity.Tpo" "$(DEPDIR)/gravity.Po"; else rm -f "$(DEPDIR)/gravity.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='fields/gravity.cc' object='gravity.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/gravity.Po' tmpdepfile='$(DEPDIR)/gravity.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o gravity.o `test -f 'fields/gravity.cc' || echo '$(srcdir)/'`fields/gravity.cc
-
-gravity.obj: fields/gravity.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT gravity.obj -MD -MP -MF "$(DEPDIR)/gravity.Tpo" -c -o gravity.obj `if test -f 'fields/gravity.cc'; then $(CYGPATH_W) 'fields/gravity.cc'; else $(CYGPATH_W) '$(srcdir)/fields/gravity.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/gravity.Tpo" "$(DEPDIR)/gravity.Po"; else rm -f "$(DEPDIR)/gravity.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='fields/gravity.cc' object='gravity.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/gravity.Po' tmpdepfile='$(DEPDIR)/gravity.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o gravity.obj `if test -f 'fields/gravity.cc'; then $(CYGPATH_W) 'fields/gravity.cc'; else $(CYGPATH_W) '$(srcdir)/fields/gravity.cc'; fi`
-
-point_gravity.o: fields/point_gravity.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT point_gravity.o -MD -MP -MF "$(DEPDIR)/point_gravity.Tpo" -c -o point_gravity.o `test -f 'fields/point_gravity.cc' || echo '$(srcdir)/'`fields/point_gravity.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/point_gravity.Tpo" "$(DEPDIR)/point_gravity.Po"; else rm -f "$(DEPDIR)/point_gravity.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='fields/point_gravity.cc' object='point_gravity.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/point_gravity.Po' tmpdepfile='$(DEPDIR)/point_gravity.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o point_gravity.o `test -f 'fields/point_gravity.cc' || echo '$(srcdir)/'`fields/point_gravity.cc
-
-point_gravity.obj: fields/point_gravity.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT point_gravity.obj -MD -MP -MF "$(DEPDIR)/point_gravity.Tpo" -c -o point_gravity.obj `if test -f 'fields/point_gravity.cc'; then $(CYGPATH_W) 'fields/point_gravity.cc'; else $(CYGPATH_W) '$(srcdir)/fields/point_gravity.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/point_gravity.Tpo" "$(DEPDIR)/point_gravity.Po"; else rm -f "$(DEPDIR)/point_gravity.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='fields/point_gravity.cc' object='point_gravity.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/point_gravity.Po' tmpdepfile='$(DEPDIR)/point_gravity.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o point_gravity.obj `if test -f 'fields/point_gravity.cc'; then $(CYGPATH_W) 'fields/point_gravity.cc'; else $(CYGPATH_W) '$(srcdir)/fields/point_gravity.cc'; fi`
-
-twirl.o: fields/twirl.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT twirl.o -MD -MP -MF "$(DEPDIR)/twirl.Tpo" -c -o twirl.o `test -f 'fields/twirl.cc' || echo '$(srcdir)/'`fields/twirl.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/twirl.Tpo" "$(DEPDIR)/twirl.Po"; else rm -f "$(DEPDIR)/twirl.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='fields/twirl.cc' object='twirl.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/twirl.Po' tmpdepfile='$(DEPDIR)/twirl.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o twirl.o `test -f 'fields/twirl.cc' || echo '$(srcdir)/'`fields/twirl.cc
-
-twirl.obj: fields/twirl.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT twirl.obj -MD -MP -MF "$(DEPDIR)/twirl.Tpo" -c -o twirl.obj `if test -f 'fields/twirl.cc'; then $(CYGPATH_W) 'fields/twirl.cc'; else $(CYGPATH_W) '$(srcdir)/fields/twirl.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/twirl.Tpo" "$(DEPDIR)/twirl.Po"; else rm -f "$(DEPDIR)/twirl.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='fields/twirl.cc' object='twirl.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/twirl.Po' tmpdepfile='$(DEPDIR)/twirl.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o twirl.obj `if test -f 'fields/twirl.cc'; then $(CYGPATH_W) 'fields/twirl.cc'; else $(CYGPATH_W) '$(srcdir)/fields/twirl.cc'; fi`
 uninstall-info-am:
 
@@ -389,5 +298,4 @@
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/fields
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \