Index: /orxonox/trunk/src/util/collision_detection/bounding_volume.cc
===================================================================
--- /orxonox/trunk/src/util/collision_detection/bounding_volume.cc	(revision 4510)
+++ /orxonox/trunk/src/util/collision_detection/bounding_volume.cc	(revision 4510)
@@ -0,0 +1,51 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "proto_class.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+ProtoClass::ProtoClass () 
+{
+   this->setClassID(CL_PROTO_ID, "ProtoClass"); 
+
+   /* If you make a new class, what is most probably the case when you write this file
+      don't forget to:
+       1. Add the new file new_class.cc to the ./src/Makefile.am
+       2. Add the class identifier to ./src/class_list.h eg. CL_NEW_CLASS
+
+      Advanced Topics:
+      - if you want to let your object be managed via the ObjectManager make sure to read
+        the object_manager.h header comments. You will use this most certanly only if you
+	make many objects of your class, like a weapon bullet.
+   */
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+ProtoClass::~ProtoClass () 
+{
+  // delete what has to be deleted here
+}
Index: /orxonox/trunk/src/util/collision_detection/bounding_volume.h
===================================================================
--- /orxonox/trunk/src/util/collision_detection/bounding_volume.h	(revision 4510)
+++ /orxonox/trunk/src/util/collision_detection/bounding_volume.h	(revision 4510)
@@ -0,0 +1,28 @@
+/*! 
+    \file proto_class.h
+    \brief Definition of ...
+
+*/
+
+#ifndef _PROTO_CLASS_H
+#define _PROTO_CLASS_H
+
+#include "base_object.h"
+
+// FORWARD DEFINITION
+
+
+
+//! A class for ...
+class ProtoClass : public BaseObject {
+
+ public:
+  ProtoClass();
+  virtual ~ProtoClass();
+
+
+ private:
+
+};
+
+#endif /* _PROTO_CLASS_H */
Index: /orxonox/trunk/src/util/collision_detection/bv_tree.cc
===================================================================
--- /orxonox/trunk/src/util/collision_detection/bv_tree.cc	(revision 4510)
+++ /orxonox/trunk/src/util/collision_detection/bv_tree.cc	(revision 4510)
@@ -0,0 +1,51 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "proto_class.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+ProtoClass::ProtoClass () 
+{
+   this->setClassID(CL_PROTO_ID, "ProtoClass"); 
+
+   /* If you make a new class, what is most probably the case when you write this file
+      don't forget to:
+       1. Add the new file new_class.cc to the ./src/Makefile.am
+       2. Add the class identifier to ./src/class_list.h eg. CL_NEW_CLASS
+
+      Advanced Topics:
+      - if you want to let your object be managed via the ObjectManager make sure to read
+        the object_manager.h header comments. You will use this most certanly only if you
+	make many objects of your class, like a weapon bullet.
+   */
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+ProtoClass::~ProtoClass () 
+{
+  // delete what has to be deleted here
+}
Index: /orxonox/trunk/src/util/collision_detection/bv_tree.h
===================================================================
--- /orxonox/trunk/src/util/collision_detection/bv_tree.h	(revision 4510)
+++ /orxonox/trunk/src/util/collision_detection/bv_tree.h	(revision 4510)
@@ -0,0 +1,28 @@
+/*! 
+    \file proto_class.h
+    \brief Definition of ...
+
+*/
+
+#ifndef _PROTO_CLASS_H
+#define _PROTO_CLASS_H
+
+#include "base_object.h"
+
+// FORWARD DEFINITION
+
+
+
+//! A class for ...
+class ProtoClass : public BaseObject {
+
+ public:
+  ProtoClass();
+  virtual ~ProtoClass();
+
+
+ private:
+
+};
+
+#endif /* _PROTO_CLASS_H */
Index: /orxonox/trunk/src/util/collision_detection/cd_engine.cc
===================================================================
--- /orxonox/trunk/src/util/collision_detection/cd_engine.cc	(revision 4510)
+++ /orxonox/trunk/src/util/collision_detection/cd_engine.cc	(revision 4510)
@@ -0,0 +1,66 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
+
+#include "proto_singleton.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+*/
+ProtoSingleton::ProtoSingleton () 
+{
+   this->setClassName("ProtoSingleton");
+   this->setClassID(CL_PROTO_ID, "ProtoSingleton"); 
+
+   /* If you make a new class, what is most probably the case when you write this file
+      don't forget to:
+       1. Add the new file new_class.cc to the ./src/Makefile.am
+       2. Add the class identifier to ./src/class_list.h eg. CL_NEW_CLASS
+
+      Advanced Topics:
+      - if you want to let your object be managed via the ObjectManager make sure to read
+        the object_manager.h header comments. You will use this most certanly only if you
+	make many objects of your class, like a weapon bullet.
+   */
+}
+
+/**
+   \brief the singleton reference to this class
+*/
+ProtoSingleton* ProtoSingleton::singletonRef = NULL;
+
+/**
+   \returns a Pointer to this Class
+*/
+ProtoSingleton* ProtoSingleton::getInstance(void)
+{
+  if (!ProtoSingleton::singletonRef)
+    ProtoSingleton::singletonRef = new ProtoSingleton();
+  return ProtoSingleton::singletonRef;
+}
+
+/**
+   \brief standard deconstructor
+
+*/
+ProtoSingleton::~ProtoSingleton () 
+{
+  ProtoSingleton::singletonRef = NULL;
+
+}
Index: /orxonox/trunk/src/util/collision_detection/cd_engine.h
===================================================================
--- /orxonox/trunk/src/util/collision_detection/cd_engine.h	(revision 4510)
+++ /orxonox/trunk/src/util/collision_detection/cd_engine.h	(revision 4510)
@@ -0,0 +1,26 @@
+/*! 
+    \file proto_singleton.h
+    \brief Definition of the ... singleton Class
+    
+*/
+
+#ifndef _PROTO_SINGLETON_H
+#define _PROTO_SINGLETON_H
+
+#include "base_object.h"
+
+// FORWARD DEFINITION
+
+//! A default singleton class.
+class ProtoSingleton : public BaseObject {
+
+ public:
+  static ProtoSingleton* getInstance(void);
+  virtual ~ProtoSingleton(void);
+
+ private:
+  ProtoSingleton(void);
+  static ProtoSingleton* singletonRef;
+};
+
+#endif /* _PROTO_SINGLETON_H */
Index: /orxonox/trunk/src/util/collision_detection/collision.cc
===================================================================
--- /orxonox/trunk/src/util/collision_detection/collision.cc	(revision 4510)
+++ /orxonox/trunk/src/util/collision_detection/collision.cc	(revision 4510)
@@ -0,0 +1,51 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "proto_class.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+ProtoClass::ProtoClass () 
+{
+   this->setClassID(CL_PROTO_ID, "ProtoClass"); 
+
+   /* If you make a new class, what is most probably the case when you write this file
+      don't forget to:
+       1. Add the new file new_class.cc to the ./src/Makefile.am
+       2. Add the class identifier to ./src/class_list.h eg. CL_NEW_CLASS
+
+      Advanced Topics:
+      - if you want to let your object be managed via the ObjectManager make sure to read
+        the object_manager.h header comments. You will use this most certanly only if you
+	make many objects of your class, like a weapon bullet.
+   */
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+ProtoClass::~ProtoClass () 
+{
+  // delete what has to be deleted here
+}
Index: /orxonox/trunk/src/util/collision_detection/collision.h
===================================================================
--- /orxonox/trunk/src/util/collision_detection/collision.h	(revision 4510)
+++ /orxonox/trunk/src/util/collision_detection/collision.h	(revision 4510)
@@ -0,0 +1,28 @@
+/*! 
+    \file proto_class.h
+    \brief Definition of ...
+
+*/
+
+#ifndef _PROTO_CLASS_H
+#define _PROTO_CLASS_H
+
+#include "base_object.h"
+
+// FORWARD DEFINITION
+
+
+
+//! A class for ...
+class ProtoClass : public BaseObject {
+
+ public:
+  ProtoClass();
+  virtual ~ProtoClass();
+
+
+ private:
+
+};
+
+#endif /* _PROTO_CLASS_H */
Index: /orxonox/trunk/src/util/collision_detection/obb.cc
===================================================================
--- /orxonox/trunk/src/util/collision_detection/obb.cc	(revision 4510)
+++ /orxonox/trunk/src/util/collision_detection/obb.cc	(revision 4510)
@@ -0,0 +1,51 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "proto_class.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+ProtoClass::ProtoClass () 
+{
+   this->setClassID(CL_PROTO_ID, "ProtoClass"); 
+
+   /* If you make a new class, what is most probably the case when you write this file
+      don't forget to:
+       1. Add the new file new_class.cc to the ./src/Makefile.am
+       2. Add the class identifier to ./src/class_list.h eg. CL_NEW_CLASS
+
+      Advanced Topics:
+      - if you want to let your object be managed via the ObjectManager make sure to read
+        the object_manager.h header comments. You will use this most certanly only if you
+	make many objects of your class, like a weapon bullet.
+   */
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+ProtoClass::~ProtoClass () 
+{
+  // delete what has to be deleted here
+}
Index: /orxonox/trunk/src/util/collision_detection/obb.h
===================================================================
--- /orxonox/trunk/src/util/collision_detection/obb.h	(revision 4510)
+++ /orxonox/trunk/src/util/collision_detection/obb.h	(revision 4510)
@@ -0,0 +1,28 @@
+/*! 
+    \file proto_class.h
+    \brief Definition of ...
+
+*/
+
+#ifndef _PROTO_CLASS_H
+#define _PROTO_CLASS_H
+
+#include "base_object.h"
+
+// FORWARD DEFINITION
+
+
+
+//! A class for ...
+class ProtoClass : public BaseObject {
+
+ public:
+  ProtoClass();
+  virtual ~ProtoClass();
+
+
+ private:
+
+};
+
+#endif /* _PROTO_CLASS_H */
Index: /orxonox/trunk/src/util/collision_detection/obb_tree.cc
===================================================================
--- /orxonox/trunk/src/util/collision_detection/obb_tree.cc	(revision 4510)
+++ /orxonox/trunk/src/util/collision_detection/obb_tree.cc	(revision 4510)
@@ -0,0 +1,51 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "proto_class.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+ProtoClass::ProtoClass () 
+{
+   this->setClassID(CL_PROTO_ID, "ProtoClass"); 
+
+   /* If you make a new class, what is most probably the case when you write this file
+      don't forget to:
+       1. Add the new file new_class.cc to the ./src/Makefile.am
+       2. Add the class identifier to ./src/class_list.h eg. CL_NEW_CLASS
+
+      Advanced Topics:
+      - if you want to let your object be managed via the ObjectManager make sure to read
+        the object_manager.h header comments. You will use this most certanly only if you
+	make many objects of your class, like a weapon bullet.
+   */
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+ProtoClass::~ProtoClass () 
+{
+  // delete what has to be deleted here
+}
Index: /orxonox/trunk/src/util/collision_detection/obb_tree.h
===================================================================
--- /orxonox/trunk/src/util/collision_detection/obb_tree.h	(revision 4510)
+++ /orxonox/trunk/src/util/collision_detection/obb_tree.h	(revision 4510)
@@ -0,0 +1,28 @@
+/*! 
+    \file proto_class.h
+    \brief Definition of ...
+
+*/
+
+#ifndef _PROTO_CLASS_H
+#define _PROTO_CLASS_H
+
+#include "base_object.h"
+
+// FORWARD DEFINITION
+
+
+
+//! A class for ...
+class ProtoClass : public BaseObject {
+
+ public:
+  ProtoClass();
+  virtual ~ProtoClass();
+
+
+ private:
+
+};
+
+#endif /* _PROTO_CLASS_H */