Index: /orxonox/trunk/src/Makefile.am
===================================================================
--- /orxonox/trunk/src/Makefile.am	(revision 4511)
+++ /orxonox/trunk/src/Makefile.am	(revision 4512)
@@ -38,4 +38,10 @@
 		 util/loading/load_param.cc \
 		 util/state.cc \
+		 util/collision_detection/bounding_volume.cc \
+		 util/collision_detection/obb.cc \
+		 util/collision_detection/bv_tree.cc \
+		 util/collision_detection/obb_tree.cc \
+		 util/collision_detection/collision.cc \
+		 util/collision_detection/cd_engine.cc \
 		 story_entities/story_entity.cc \
 		 story_entities/campaign.cc \
@@ -93,4 +99,10 @@
 		 util/loading/factory.h \
 		 util/loading/load_param.h \
+		 util/collision_detection/bounding_volume.h \
+		 util/collision_detection/obb.h \
+		 util/collision_detection/bv_tree.h \
+		 util/collision_detection/obb_tree.h \
+		 util/collision_detection/collision.h \
+		 util/collision_detection/cd_engine.h \
 		 story_entities/story_entity.h \
 		 story_entities/story_def.h \
Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 4511)
+++ /orxonox/trunk/src/Makefile.in	(revision 4512)
@@ -59,4 +59,6 @@
 	garbage_collector.$(OBJEXT) resource_manager.$(OBJEXT) \
 	factory.$(OBJEXT) load_param.$(OBJEXT) state.$(OBJEXT) \
+	bounding_volume.$(OBJEXT) obb.$(OBJEXT) bv_tree.$(OBJEXT) \
+	obb_tree.$(OBJEXT) collision.$(OBJEXT) cd_engine.$(OBJEXT) \
 	story_entity.$(OBJEXT) campaign.$(OBJEXT) world.$(OBJEXT) \
 	world_entity.$(OBJEXT) camera.$(OBJEXT) player.$(OBJEXT) \
@@ -82,9 +84,12 @@
 @AMDEP_TRUE@	./$(DEPDIR)/animation_player.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/array.Po ./$(DEPDIR)/base_object.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/benchmark.Po ./$(DEPDIR)/camera.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/campaign.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/benchmark.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/bounding_volume.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/bv_tree.Po ./$(DEPDIR)/camera.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/campaign.Po ./$(DEPDIR)/cd_engine.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/character_attributes.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/curve.Po ./$(DEPDIR)/environment.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/factory.Po ./$(DEPDIR)/game_loader.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/collision.Po ./$(DEPDIR)/curve.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/environment.Po ./$(DEPDIR)/factory.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/game_loader.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/garbage_collector.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/glmenu_imagescreen.Po \
@@ -94,5 +99,6 @@
 @AMDEP_TRUE@	./$(DEPDIR)/load_param.Po ./$(DEPDIR)/material.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/md2Model.Po ./$(DEPDIR)/model.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/null_parent.Po ./$(DEPDIR)/objModel.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/null_parent.Po ./$(DEPDIR)/obb.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/obb_tree.Po ./$(DEPDIR)/objModel.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/object_manager.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox.Po ./$(DEPDIR)/p_node.Po \
@@ -268,4 +274,10 @@
 		 util/loading/load_param.cc \
 		 util/state.cc \
+		 util/collision_detection/bounding_volume.cc \
+		 util/collision_detection/obb.cc \
+		 util/collision_detection/bv_tree.cc \
+		 util/collision_detection/obb_tree.cc \
+		 util/collision_detection/collision.cc \
+		 util/collision_detection/cd_engine.cc \
 		 story_entities/story_entity.cc \
 		 story_entities/campaign.cc \
@@ -323,4 +335,10 @@
 		 util/loading/factory.h \
 		 util/loading/load_param.h \
+		 util/collision_detection/bounding_volume.h \
+		 util/collision_detection/obb.h \
+		 util/collision_detection/bv_tree.h \
+		 util/collision_detection/obb_tree.h \
+		 util/collision_detection/collision.h \
+		 util/collision_detection/cd_engine.h \
 		 story_entities/story_entity.h \
 		 story_entities/story_def.h \
@@ -464,7 +482,11 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/base_object.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/benchmark.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bounding_volume.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bv_tree.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/camera.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/campaign.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cd_engine.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/character_attributes.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/curve.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/environment.Po@am__quote@
@@ -482,4 +504,6 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/model.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/null_parent.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/obb.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/obb_tree.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/objModel.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/object_manager.Po@am__quote@
@@ -733,4 +757,100 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o state.obj `if test -f 'util/state.cc'; then $(CYGPATH_W) 'util/state.cc'; else $(CYGPATH_W) '$(srcdir)/util/state.cc'; fi`
+
+bounding_volume.o: util/collision_detection/bounding_volume.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT bounding_volume.o -MD -MP -MF "$(DEPDIR)/bounding_volume.Tpo" -c -o bounding_volume.o `test -f 'util/collision_detection/bounding_volume.cc' || echo '$(srcdir)/'`util/collision_detection/bounding_volume.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/bounding_volume.Tpo" "$(DEPDIR)/bounding_volume.Po"; else rm -f "$(DEPDIR)/bounding_volume.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/bounding_volume.cc' object='bounding_volume.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/bounding_volume.Po' tmpdepfile='$(DEPDIR)/bounding_volume.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o bounding_volume.o `test -f 'util/collision_detection/bounding_volume.cc' || echo '$(srcdir)/'`util/collision_detection/bounding_volume.cc
+
+bounding_volume.obj: util/collision_detection/bounding_volume.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT bounding_volume.obj -MD -MP -MF "$(DEPDIR)/bounding_volume.Tpo" -c -o bounding_volume.obj `if test -f 'util/collision_detection/bounding_volume.cc'; then $(CYGPATH_W) 'util/collision_detection/bounding_volume.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/bounding_volume.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/bounding_volume.Tpo" "$(DEPDIR)/bounding_volume.Po"; else rm -f "$(DEPDIR)/bounding_volume.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/bounding_volume.cc' object='bounding_volume.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/bounding_volume.Po' tmpdepfile='$(DEPDIR)/bounding_volume.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o bounding_volume.obj `if test -f 'util/collision_detection/bounding_volume.cc'; then $(CYGPATH_W) 'util/collision_detection/bounding_volume.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/bounding_volume.cc'; fi`
+
+obb.o: util/collision_detection/obb.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT obb.o -MD -MP -MF "$(DEPDIR)/obb.Tpo" -c -o obb.o `test -f 'util/collision_detection/obb.cc' || echo '$(srcdir)/'`util/collision_detection/obb.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/obb.Tpo" "$(DEPDIR)/obb.Po"; else rm -f "$(DEPDIR)/obb.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/obb.cc' object='obb.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/obb.Po' tmpdepfile='$(DEPDIR)/obb.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o obb.o `test -f 'util/collision_detection/obb.cc' || echo '$(srcdir)/'`util/collision_detection/obb.cc
+
+obb.obj: util/collision_detection/obb.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT obb.obj -MD -MP -MF "$(DEPDIR)/obb.Tpo" -c -o obb.obj `if test -f 'util/collision_detection/obb.cc'; then $(CYGPATH_W) 'util/collision_detection/obb.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/obb.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/obb.Tpo" "$(DEPDIR)/obb.Po"; else rm -f "$(DEPDIR)/obb.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/obb.cc' object='obb.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/obb.Po' tmpdepfile='$(DEPDIR)/obb.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o obb.obj `if test -f 'util/collision_detection/obb.cc'; then $(CYGPATH_W) 'util/collision_detection/obb.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/obb.cc'; fi`
+
+bv_tree.o: util/collision_detection/bv_tree.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT bv_tree.o -MD -MP -MF "$(DEPDIR)/bv_tree.Tpo" -c -o bv_tree.o `test -f 'util/collision_detection/bv_tree.cc' || echo '$(srcdir)/'`util/collision_detection/bv_tree.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/bv_tree.Tpo" "$(DEPDIR)/bv_tree.Po"; else rm -f "$(DEPDIR)/bv_tree.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/bv_tree.cc' object='bv_tree.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/bv_tree.Po' tmpdepfile='$(DEPDIR)/bv_tree.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o bv_tree.o `test -f 'util/collision_detection/bv_tree.cc' || echo '$(srcdir)/'`util/collision_detection/bv_tree.cc
+
+bv_tree.obj: util/collision_detection/bv_tree.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT bv_tree.obj -MD -MP -MF "$(DEPDIR)/bv_tree.Tpo" -c -o bv_tree.obj `if test -f 'util/collision_detection/bv_tree.cc'; then $(CYGPATH_W) 'util/collision_detection/bv_tree.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/bv_tree.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/bv_tree.Tpo" "$(DEPDIR)/bv_tree.Po"; else rm -f "$(DEPDIR)/bv_tree.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/bv_tree.cc' object='bv_tree.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/bv_tree.Po' tmpdepfile='$(DEPDIR)/bv_tree.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o bv_tree.obj `if test -f 'util/collision_detection/bv_tree.cc'; then $(CYGPATH_W) 'util/collision_detection/bv_tree.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/bv_tree.cc'; fi`
+
+obb_tree.o: util/collision_detection/obb_tree.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT obb_tree.o -MD -MP -MF "$(DEPDIR)/obb_tree.Tpo" -c -o obb_tree.o `test -f 'util/collision_detection/obb_tree.cc' || echo '$(srcdir)/'`util/collision_detection/obb_tree.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/obb_tree.Tpo" "$(DEPDIR)/obb_tree.Po"; else rm -f "$(DEPDIR)/obb_tree.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/obb_tree.cc' object='obb_tree.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/obb_tree.Po' tmpdepfile='$(DEPDIR)/obb_tree.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o obb_tree.o `test -f 'util/collision_detection/obb_tree.cc' || echo '$(srcdir)/'`util/collision_detection/obb_tree.cc
+
+obb_tree.obj: util/collision_detection/obb_tree.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT obb_tree.obj -MD -MP -MF "$(DEPDIR)/obb_tree.Tpo" -c -o obb_tree.obj `if test -f 'util/collision_detection/obb_tree.cc'; then $(CYGPATH_W) 'util/collision_detection/obb_tree.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/obb_tree.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/obb_tree.Tpo" "$(DEPDIR)/obb_tree.Po"; else rm -f "$(DEPDIR)/obb_tree.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/obb_tree.cc' object='obb_tree.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/obb_tree.Po' tmpdepfile='$(DEPDIR)/obb_tree.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o obb_tree.obj `if test -f 'util/collision_detection/obb_tree.cc'; then $(CYGPATH_W) 'util/collision_detection/obb_tree.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/obb_tree.cc'; fi`
+
+collision.o: util/collision_detection/collision.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision.o -MD -MP -MF "$(DEPDIR)/collision.Tpo" -c -o collision.o `test -f 'util/collision_detection/collision.cc' || echo '$(srcdir)/'`util/collision_detection/collision.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision.Tpo" "$(DEPDIR)/collision.Po"; else rm -f "$(DEPDIR)/collision.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/collision.cc' object='collision.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision.Po' tmpdepfile='$(DEPDIR)/collision.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision.o `test -f 'util/collision_detection/collision.cc' || echo '$(srcdir)/'`util/collision_detection/collision.cc
+
+collision.obj: util/collision_detection/collision.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision.obj -MD -MP -MF "$(DEPDIR)/collision.Tpo" -c -o collision.obj `if test -f 'util/collision_detection/collision.cc'; then $(CYGPATH_W) 'util/collision_detection/collision.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/collision.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision.Tpo" "$(DEPDIR)/collision.Po"; else rm -f "$(DEPDIR)/collision.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/collision.cc' object='collision.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision.Po' tmpdepfile='$(DEPDIR)/collision.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision.obj `if test -f 'util/collision_detection/collision.cc'; then $(CYGPATH_W) 'util/collision_detection/collision.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/collision.cc'; fi`
+
+cd_engine.o: util/collision_detection/cd_engine.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT cd_engine.o -MD -MP -MF "$(DEPDIR)/cd_engine.Tpo" -c -o cd_engine.o `test -f 'util/collision_detection/cd_engine.cc' || echo '$(srcdir)/'`util/collision_detection/cd_engine.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/cd_engine.Tpo" "$(DEPDIR)/cd_engine.Po"; else rm -f "$(DEPDIR)/cd_engine.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/cd_engine.cc' object='cd_engine.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/cd_engine.Po' tmpdepfile='$(DEPDIR)/cd_engine.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o cd_engine.o `test -f 'util/collision_detection/cd_engine.cc' || echo '$(srcdir)/'`util/collision_detection/cd_engine.cc
+
+cd_engine.obj: util/collision_detection/cd_engine.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT cd_engine.obj -MD -MP -MF "$(DEPDIR)/cd_engine.Tpo" -c -o cd_engine.obj `if test -f 'util/collision_detection/cd_engine.cc'; then $(CYGPATH_W) 'util/collision_detection/cd_engine.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/cd_engine.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/cd_engine.Tpo" "$(DEPDIR)/cd_engine.Po"; else rm -f "$(DEPDIR)/cd_engine.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/cd_engine.cc' object='cd_engine.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/cd_engine.Po' tmpdepfile='$(DEPDIR)/cd_engine.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o cd_engine.obj `if test -f 'util/collision_detection/cd_engine.cc'; then $(CYGPATH_W) 'util/collision_detection/cd_engine.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/cd_engine.cc'; fi`
 
 story_entity.o: story_entities/story_entity.cc
@@ -1448,5 +1568,5 @@
 
 distdir: $(DISTFILES)
-	$(mkdir_p) $(distdir)/defs $(distdir)/glmenu $(distdir)/lib/coord $(distdir)/lib/graphics $(distdir)/lib/graphics/importer $(distdir)/lib/lang $(distdir)/lib/math $(distdir)/lib/util $(distdir)/proto $(distdir)/story_entities $(distdir)/subprojects $(distdir)/util $(distdir)/util/animation $(distdir)/util/loading $(distdir)/util/track $(distdir)/world_entities
+	$(mkdir_p) $(distdir)/defs $(distdir)/glmenu $(distdir)/lib/coord $(distdir)/lib/graphics $(distdir)/lib/graphics/importer $(distdir)/lib/lang $(distdir)/lib/math $(distdir)/lib/util $(distdir)/proto $(distdir)/story_entities $(distdir)/subprojects $(distdir)/util $(distdir)/util/animation $(distdir)/util/collision_detection $(distdir)/util/loading $(distdir)/util/track $(distdir)/world_entities
 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
Index: /orxonox/trunk/src/defs/class_list.h
===================================================================
--- /orxonox/trunk/src/defs/class_list.h	(revision 4511)
+++ /orxonox/trunk/src/defs/class_list.h	(revision 4512)
@@ -85,4 +85,11 @@
   CL_PARTICLE_SYSTEM,
   
+  CL_CD_ENGINE,
+  CL_COLLISION,
+  CL_BV_TREE,
+  CL_OBB_TREE,
+  CL_BOUNDING_VOLUME,
+  CL_OBB,
+  
 
   CL_NUMBER