Index: orxonox/trunk/src/Makefile.am
===================================================================
--- orxonox/trunk/src/Makefile.am	(revision 4512)
+++ orxonox/trunk/src/Makefile.am	(revision 4513)
@@ -40,4 +40,5 @@
 		 util/collision_detection/bounding_volume.cc \
 		 util/collision_detection/obb.cc \
+		 util/collision_detection/bounding_sphere.cc \
 		 util/collision_detection/bv_tree.cc \
 		 util/collision_detection/obb_tree.cc \
@@ -101,4 +102,5 @@
 		 util/collision_detection/bounding_volume.h \
 		 util/collision_detection/obb.h \
+		 util/collision_detection/bounding_sphere.h \
 		 util/collision_detection/bv_tree.h \
 		 util/collision_detection/obb_tree.h \
Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 4512)
+++ orxonox/trunk/src/Makefile.in	(revision 4513)
@@ -59,13 +59,14 @@
 	garbage_collector.$(OBJEXT) resource_manager.$(OBJEXT) \
 	factory.$(OBJEXT) load_param.$(OBJEXT) state.$(OBJEXT) \
-	bounding_volume.$(OBJEXT) obb.$(OBJEXT) bv_tree.$(OBJEXT) \
-	obb_tree.$(OBJEXT) collision.$(OBJEXT) cd_engine.$(OBJEXT) \
-	story_entity.$(OBJEXT) campaign.$(OBJEXT) world.$(OBJEXT) \
-	world_entity.$(OBJEXT) camera.$(OBJEXT) player.$(OBJEXT) \
-	environment.$(OBJEXT) skysphere.$(OBJEXT) skybox.$(OBJEXT) \
-	terrain.$(OBJEXT) weapon.$(OBJEXT) projectile.$(OBJEXT) \
-	satellite.$(OBJEXT) character_attributes.$(OBJEXT) \
-	test_gun.$(OBJEXT) test_bullet.$(OBJEXT) test_entity.$(OBJEXT) \
-	p_node.$(OBJEXT) null_parent.$(OBJEXT) helper_parent.$(OBJEXT) \
+	bounding_volume.$(OBJEXT) obb.$(OBJEXT) \
+	bounding_sphere.$(OBJEXT) bv_tree.$(OBJEXT) obb_tree.$(OBJEXT) \
+	collision.$(OBJEXT) cd_engine.$(OBJEXT) story_entity.$(OBJEXT) \
+	campaign.$(OBJEXT) world.$(OBJEXT) world_entity.$(OBJEXT) \
+	camera.$(OBJEXT) player.$(OBJEXT) environment.$(OBJEXT) \
+	skysphere.$(OBJEXT) skybox.$(OBJEXT) terrain.$(OBJEXT) \
+	weapon.$(OBJEXT) projectile.$(OBJEXT) satellite.$(OBJEXT) \
+	character_attributes.$(OBJEXT) test_gun.$(OBJEXT) \
+	test_bullet.$(OBJEXT) test_entity.$(OBJEXT) p_node.$(OBJEXT) \
+	null_parent.$(OBJEXT) helper_parent.$(OBJEXT) \
 	graphics_engine.$(OBJEXT) light.$(OBJEXT) \
 	text_engine.$(OBJEXT) array.$(OBJEXT) objModel.$(OBJEXT) \
@@ -85,4 +86,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/array.Po ./$(DEPDIR)/base_object.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/benchmark.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/bounding_sphere.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/bounding_volume.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/bv_tree.Po ./$(DEPDIR)/camera.Po \
@@ -276,4 +278,5 @@
 		 util/collision_detection/bounding_volume.cc \
 		 util/collision_detection/obb.cc \
+		 util/collision_detection/bounding_sphere.cc \
 		 util/collision_detection/bv_tree.cc \
 		 util/collision_detection/obb_tree.cc \
@@ -337,4 +340,5 @@
 		 util/collision_detection/bounding_volume.h \
 		 util/collision_detection/obb.h \
+		 util/collision_detection/bounding_sphere.h \
 		 util/collision_detection/bv_tree.h \
 		 util/collision_detection/obb_tree.h \
@@ -482,4 +486,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/base_object.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/benchmark.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bounding_sphere.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bounding_volume.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/bv_tree.Po@am__quote@
@@ -789,4 +794,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o obb.obj `if test -f 'util/collision_detection/obb.cc'; then $(CYGPATH_W) 'util/collision_detection/obb.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/obb.cc'; fi`
+
+bounding_sphere.o: util/collision_detection/bounding_sphere.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT bounding_sphere.o -MD -MP -MF "$(DEPDIR)/bounding_sphere.Tpo" -c -o bounding_sphere.o `test -f 'util/collision_detection/bounding_sphere.cc' || echo '$(srcdir)/'`util/collision_detection/bounding_sphere.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/bounding_sphere.Tpo" "$(DEPDIR)/bounding_sphere.Po"; else rm -f "$(DEPDIR)/bounding_sphere.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/bounding_sphere.cc' object='bounding_sphere.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/bounding_sphere.Po' tmpdepfile='$(DEPDIR)/bounding_sphere.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o bounding_sphere.o `test -f 'util/collision_detection/bounding_sphere.cc' || echo '$(srcdir)/'`util/collision_detection/bounding_sphere.cc
+
+bounding_sphere.obj: util/collision_detection/bounding_sphere.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT bounding_sphere.obj -MD -MP -MF "$(DEPDIR)/bounding_sphere.Tpo" -c -o bounding_sphere.obj `if test -f 'util/collision_detection/bounding_sphere.cc'; then $(CYGPATH_W) 'util/collision_detection/bounding_sphere.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/bounding_sphere.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/bounding_sphere.Tpo" "$(DEPDIR)/bounding_sphere.Po"; else rm -f "$(DEPDIR)/bounding_sphere.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='util/collision_detection/bounding_sphere.cc' object='bounding_sphere.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/bounding_sphere.Po' tmpdepfile='$(DEPDIR)/bounding_sphere.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o bounding_sphere.obj `if test -f 'util/collision_detection/bounding_sphere.cc'; then $(CYGPATH_W) 'util/collision_detection/bounding_sphere.cc'; else $(CYGPATH_W) '$(srcdir)/util/collision_detection/bounding_sphere.cc'; fi`
 
 bv_tree.o: util/collision_detection/bv_tree.cc
Index: orxonox/trunk/src/defs/class_list.h
===================================================================
--- orxonox/trunk/src/defs/class_list.h	(revision 4512)
+++ orxonox/trunk/src/defs/class_list.h	(revision 4513)
@@ -91,4 +91,5 @@
   CL_BOUNDING_VOLUME,
   CL_OBB,
+  CL_BOUNDING_SPHERE,
   
 
Index: orxonox/trunk/src/util/collision_detection/bounding_sphere.cc
===================================================================
--- orxonox/trunk/src/util/collision_detection/bounding_sphere.cc	(revision 4513)
+++ orxonox/trunk/src/util/collision_detection/bounding_sphere.cc	(revision 4513)
@@ -0,0 +1,39 @@
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Patrick Boenzli
+   co-programmer: ...
+*/
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_COLLISION
+
+#include "bounding_sphere.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+*/
+BoundingSphere::BoundingSphere () 
+{
+   this->setClassID(CL_BOUNDING_SPHERE, "BoundingSphere"); 
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+BoundingSphere::~BoundingSphere () 
+{
+  // delete what has to be deleted here
+}
Index: orxonox/trunk/src/util/collision_detection/bounding_sphere.h
===================================================================
--- orxonox/trunk/src/util/collision_detection/bounding_sphere.h	(revision 4513)
+++ orxonox/trunk/src/util/collision_detection/bounding_sphere.h	(revision 4513)
@@ -0,0 +1,25 @@
+/*! 
+    \file bounding_sphere.h
+    \brief Definition of a bounding sphere
+
+*/
+
+#ifndef _BOUNDING_SPHERE_H
+#define _BOUNDING_SPHERE_H
+
+#include "base_object.h"
+
+
+//! A class representing an extended bounding volume tree: an sphere
+class BoundingSphere : public BaseObject {
+
+ public:
+  BoundingSphere();
+  virtual ~BoundingSphere();
+
+
+ private:
+
+};
+
+#endif /* _BOUNDING_SPHERE_H */