Index: /data/contentcreation/pps/SamBoegli/FinalProducts/SSFighter.oif.txt
===================================================================
--- /data/contentcreation/pps/SamBoegli/FinalProducts/SSFighter.oif.txt	(revision 4515)
+++ /data/contentcreation/pps/SamBoegli/FinalProducts/SSFighter.oif.txt	(revision 4515)
@@ -0,0 +1,26 @@
+<ObjectInformationFile>
+
+<MountPoints>
+  <MP.00.SSFWeapon>
+    <Description>SSFighter's Weapon</Description>
+    <OrxClass>SSWeapon</OrxClass>
+    <Details>
+      <name>SSFWeapon</name>
+      <model>SSWeapon</model>
+    </Details>
+  </MP.00.SSFWeapon>
+
+</MountPoints>
+
+</ObjectInformationFile>
+
+
+
+
+
+
+
+
+
+
+
Index: /data/contentcreation/pps/SamBoegli/FinalProducts/SSMountpoints.oif.txt
===================================================================
--- /data/contentcreation/pps/SamBoegli/FinalProducts/SSMountpoints.oif.txt	(revision 4515)
+++ /data/contentcreation/pps/SamBoegli/FinalProducts/SSMountpoints.oif.txt	(revision 4515)
@@ -0,0 +1,305 @@
+<ObjectInformationFile>
+
+<MountPoints>
+  <MP.01.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret01</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.01.SSTurret>
+
+  <MP.02.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret02</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.02.SSTurret>
+
+  <MP.03.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret03</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.03.SSTurret>
+
+  <MP.04.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret04</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.04.SSTurret>
+
+  <MP.05.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret05</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.05.SSTurret>
+
+  <MP.06.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret06</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.06.SSTurret>
+
+  <MP.07.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret07</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.07.SSTurret>
+
+  <MP.08.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret08</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.08.SSTurret>
+
+  <MP.09.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret09</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.09.SSTurret>
+
+  <MP.10.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret10</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.10.SSTurret>
+
+  <MP.11.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret11</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.11.SSTurret>
+
+  <MP.12.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret12</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.12.SSTurret>
+
+  <MP.13.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret13</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.13.SSTurret>
+
+  <MP.14.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret14</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.14.SSTurret>
+
+  <MP.15.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret15</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.15.SSTurret>
+
+  <MP.16.SSTurret>
+    <Description>Turret on Space Station</Description>
+    <OrxClass>SSTurret</OrxClass>
+    <Details>
+      <name>SSTurret16</name>
+      <model>SSTurret</model>
+    </Details>
+  </MP.16.SSTurret>
+
+  <MP.17.RedLight>
+    <Description>A Red Light on Space Station</Description>
+    <OrxClass>RedLight</OrxClass>
+    <Details>
+      <name>RedLight</name>
+      <model>RedLight</model>
+    </Details>
+  </MP.17.RedLight>
+
+  <MP.18.RedLight>
+    <Description>A Red Light on Space Station</Description>
+    <OrxClass>RedLight</OrxClass>
+    <Details>
+      <name>RedLight</name>
+      <model>RedLight</model>
+    </Details>
+  </MP.18.RedLight>
+
+  <MP.19.GreenLight>
+    <Description>A Green Light on Space Station</Description>
+    <OrxClass>GreenLight</OrxClass>
+    <Details>
+      <name>GreenLight</name>
+      <model>GreenLight</model>
+    </Details>
+  </MP.19.GreenLight>
+
+  <MP.20.GreenLight>
+    <Description>A Green Light on Space Station</Description>
+    <OrxClass>GreenLight</OrxClass>
+    <Details>
+      <name>GreenLight</name>
+      <model>GreenLight</model>
+    </Details>
+  </MP.20.GreenLight>
+
+  <MP.21.RedLight>
+    <Description>A Red Light on Space Station</Description>
+    <OrxClass>RedLight</OrxClass>
+    <Details>
+      <name>RedLight</name>
+      <model>RedLight</model>
+    </Details>
+  </MP.21.RedLight>
+
+  <MP.22.RedLight>
+    <Description>A Red Light on Space Station</Description>
+    <OrxClass>RedLight</OrxClass>
+    <Details>
+      <name>RedLight</name>
+      <model>RedLight</model>
+    </Details>
+  </MP.22.RedLight>
+
+  <MP.23.GreenLight>
+    <Description>A Green Light on Space Station</Description>
+    <OrxClass>GreenLight</OrxClass>
+    <Details>
+      <name>GreenLight</name>
+      <model>GreenLight</model>
+    </Details>
+  </MP.23.GreenLight>
+
+  <MP.24.GreenLight>
+    <Description>A Green Light on Space Station</Description>
+    <OrxClass>GreenLight</OrxClass>
+    <Details>
+      <name>GreenLight</name>
+      <model>GreenLight</model>
+    </Details>
+  </MP.24.GreenLight>
+
+  <MP.25.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.25.BlueLight>
+
+  <MP.26.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.26.BlueLight>
+
+  <MP.27.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.27.BlueLight>
+
+  <MP.28.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.28.BlueLight>
+
+  <MP.29.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.29.BlueLight>
+
+  <MP.30.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.30.BlueLight>
+
+  <MP.31.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.31.BlueLight>
+
+  <MP.32.BlueLight>
+    <Description>A Blue Light on Space Station</Description>
+    <OrxClass>BlueLight</OrxClass>
+    <Details>
+      <name>BlueLight</name>
+      <model>BlueLight</model>
+    </Details>
+  </MP.32.BlueLight>
+
+</MountPoints>
+
+</ObjectInformationFile>
+
+
+
+
+
+
+
+
+
+
+