Index: orxonox/trunk/src/lib/event/event_handler.cc
===================================================================
--- orxonox/trunk/src/lib/event/event_handler.cc	(revision 4518)
+++ orxonox/trunk/src/lib/event/event_handler.cc	(revision 4519)
@@ -55,15 +55,4 @@
 */
 EventHandler* EventHandler::singletonRef = NULL;
-
-
-/**
-   \returns a Pointer to this Class
-*/
-EventHandler* EventHandler::getInstance(void)
-{
-  if (!EventHandler::singletonRef)
-    EventHandler::singletonRef = new EventHandler();
-  return EventHandler::singletonRef;
-}
 
 
Index: orxonox/trunk/src/lib/event/event_handler.h
===================================================================
--- orxonox/trunk/src/lib/event/event_handler.h	(revision 4518)
+++ orxonox/trunk/src/lib/event/event_handler.h	(revision 4519)
@@ -19,6 +19,7 @@
 
  public:
-  static EventHandler* getInstance(void);
   virtual ~EventHandler(void);
+  /** \returns a Pointer to the only object of this Class */
+  inline static EventHandler* getInstance(void) { if (!singletonRef) singletonRef = new EventHandler();  return singletonRef; };
   void init();
 
Index: orxonox/trunk/src/lib/graphics/graphics_engine.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4518)
+++ orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4519)
@@ -47,15 +47,4 @@
 */
 GraphicsEngine* GraphicsEngine::singletonRef = NULL;
-
-/**
-   \returns A pointer to this GraphicsEngine
-*/
-GraphicsEngine* GraphicsEngine::getInstance()
-{
-  if (!GraphicsEngine::singletonRef)
-    GraphicsEngine::singletonRef = new GraphicsEngine();
-  return GraphicsEngine::singletonRef;
-}
-
 
 /**
Index: orxonox/trunk/src/lib/graphics/graphics_engine.h
===================================================================
--- orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 4518)
+++ orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 4519)
@@ -25,6 +25,7 @@
 {
  public:
-  static GraphicsEngine* getInstance();
   virtual ~GraphicsEngine();
+  /** \returns a Pointer to the only object of this Class */
+  inline static GraphicsEngine* getInstance(void) { if (!singletonRef) singletonRef = new GraphicsEngine();  return singletonRef; };
 
   int initVideo();
Index: orxonox/trunk/src/lib/graphics/light.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/light.cc	(revision 4518)
+++ orxonox/trunk/src/lib/graphics/light.cc	(revision 4519)
@@ -251,16 +251,4 @@
 */
 LightManager* LightManager::singletonRef = NULL;
-
-
-/**
-   \returns The Instance of the Lights
-*/
-LightManager* LightManager::getInstance(void)
-{
-  if (!singletonRef)
-    LightManager::singletonRef = new LightManager();
-  return singletonRef;
-}
-
 
 /**
Index: orxonox/trunk/src/lib/graphics/light.h
===================================================================
--- orxonox/trunk/src/lib/graphics/light.h	(revision 4518)
+++ orxonox/trunk/src/lib/graphics/light.h	(revision 4519)
@@ -106,5 +106,6 @@
  public:
   virtual ~LightManager(void);
-  static LightManager* getInstance();
+  /** \returns a Pointer to the only object of this Class */
+  inline static LightManager* getInstance(void) { if (!singletonRef) singletonRef = new LightManager();  return singletonRef; };
 
   // set Attributes
Index: orxonox/trunk/src/lib/graphics/text_engine.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/text_engine.cc	(revision 4518)
+++ orxonox/trunk/src/lib/graphics/text_engine.cc	(revision 4519)
@@ -814,14 +814,4 @@
 
 /**
-   \returns a Pointer to this Class
-*/
-TextEngine* TextEngine::getInstance(void)
-{
-  if (!TextEngine::singletonRef)
-    TextEngine::singletonRef = new TextEngine();
-  return TextEngine::singletonRef;
-}
-
-/**
    \brief standard deconstructor
 
Index: orxonox/trunk/src/lib/graphics/text_engine.h
===================================================================
--- orxonox/trunk/src/lib/graphics/text_engine.h	(revision 4518)
+++ orxonox/trunk/src/lib/graphics/text_engine.h	(revision 4519)
@@ -205,6 +205,7 @@
 {
  public:
-  static TextEngine* getInstance(void);
   virtual ~TextEngine(void);
+  /** \returns a Pointer to the only object of this Class */
+  inline static TextEngine* getInstance(void) { if (!singletonRef) singletonRef = new TextEngine();  return singletonRef; };
 
   Text* createText(const char* fontFile,
Index: orxonox/trunk/src/lib/particles/particle_engine.cc
===================================================================
--- orxonox/trunk/src/lib/particles/particle_engine.cc	(revision 4518)
+++ orxonox/trunk/src/lib/particles/particle_engine.cc	(revision 4519)
@@ -43,14 +43,4 @@
 */
 ParticleEngine* ParticleEngine::singletonRef = NULL;
-
-/**
-   \returns a Pointer to this Class
-*/
-ParticleEngine* ParticleEngine::getInstance(void)
-{
-  if (!ParticleEngine::singletonRef)
-    ParticleEngine::singletonRef = new ParticleEngine();
-  return ParticleEngine::singletonRef;
-}
 
 /**
Index: orxonox/trunk/src/lib/particles/particle_engine.h
===================================================================
--- orxonox/trunk/src/lib/particles/particle_engine.h	(revision 4518)
+++ orxonox/trunk/src/lib/particles/particle_engine.h	(revision 4519)
@@ -30,6 +30,7 @@
 
  public:
-  static ParticleEngine* getInstance(void);
   virtual ~ParticleEngine(void);
+  /** \returns a Pointer to the only object of this Class */
+  inline static ParticleEngine* getInstance(void) { if (!singletonRef) singletonRef = new ParticleEngine();  return singletonRef; };
 
   void tick(float dt);
Index: orxonox/trunk/src/lib/physics/physics_engine.cc
===================================================================
--- orxonox/trunk/src/lib/physics/physics_engine.cc	(revision 4518)
+++ orxonox/trunk/src/lib/physics/physics_engine.cc	(revision 4519)
@@ -41,14 +41,4 @@
 */
 PhysicsEngine* PhysicsEngine::singletonRef = NULL;
-
-/**
-   \returns a Pointer to this Class
-*/
-PhysicsEngine* PhysicsEngine::getInstance(void)
-{
-  if (!PhysicsEngine::singletonRef)
-    PhysicsEngine::singletonRef = new PhysicsEngine();
-  return PhysicsEngine::singletonRef;
-}
 
 /**
Index: orxonox/trunk/src/lib/physics/physics_engine.h
===================================================================
--- orxonox/trunk/src/lib/physics/physics_engine.h	(revision 4518)
+++ orxonox/trunk/src/lib/physics/physics_engine.h	(revision 4519)
@@ -22,6 +22,7 @@
 
  public:
-  static PhysicsEngine* getInstance(void);
   virtual ~PhysicsEngine(void);
+  /** \returns a Pointer to the only object of this Class */
+  inline static PhysicsEngine* getInstance(void) { if (!singletonRef) singletonRef = new PhysicsEngine();  return singletonRef; };
 
   void addPhysicsInterface(PhysicsInterface* physicsInterface);
Index: orxonox/trunk/src/lib/sound/sound_engine.cc
===================================================================
--- orxonox/trunk/src/lib/sound/sound_engine.cc	(revision 4518)
+++ orxonox/trunk/src/lib/sound/sound_engine.cc	(revision 4519)
@@ -174,14 +174,4 @@
 */
 SoundEngine* SoundEngine::singletonRef = NULL;
-
-/**
-   \returns a Pointer to this Class
-*/
-SoundEngine* SoundEngine::getInstance(void)
-{
-  if (!SoundEngine::singletonRef)
-    SoundEngine::singletonRef = new SoundEngine();
-  return SoundEngine::singletonRef;
-}
 
 /**
Index: orxonox/trunk/src/lib/sound/sound_engine.h
===================================================================
--- orxonox/trunk/src/lib/sound/sound_engine.h	(revision 4518)
+++ orxonox/trunk/src/lib/sound/sound_engine.h	(revision 4519)
@@ -71,6 +71,7 @@
 
  public:
-  static SoundEngine* getInstance(void);
   virtual ~SoundEngine(void);
+  /** \returns a Pointer to the only object of this Class */
+  inline static SoundEngine* getInstance(void) { if (!singletonRef) singletonRef = new SoundEngine();  return singletonRef; };
 
   SoundSource* createSource(const char* fileName, PNode* sourceNode = NULL);
Index: orxonox/trunk/src/proto/proto_singleton.cc
===================================================================
--- orxonox/trunk/src/proto/proto_singleton.cc	(revision 4518)
+++ orxonox/trunk/src/proto/proto_singleton.cc	(revision 4519)
@@ -47,14 +47,4 @@
 
 /**
-   \returns a Pointer to this Class
-*/
-ProtoSingleton* ProtoSingleton::getInstance(void)
-{
-  if (!ProtoSingleton::singletonRef)
-    ProtoSingleton::singletonRef = new ProtoSingleton();
-  return ProtoSingleton::singletonRef;
-}
-
-/**
    \brief standard deconstructor
 
Index: orxonox/trunk/src/proto/proto_singleton.h
===================================================================
--- orxonox/trunk/src/proto/proto_singleton.h	(revision 4518)
+++ orxonox/trunk/src/proto/proto_singleton.h	(revision 4519)
@@ -16,6 +16,7 @@
 
  public:
-  static ProtoSingleton* getInstance(void);
   virtual ~ProtoSingleton(void);
+  /** \returns a Pointer to the only object of this Class */
+  inline static ProtoSingleton* getInstance(void) { if (!singletonRef) singletonRef = new ProtoSingleton();  return singletonRef; };
 
  private:
Index: orxonox/trunk/src/subprojects/framework.cc
===================================================================
--- orxonox/trunk/src/subprojects/framework.cc	(revision 4518)
+++ orxonox/trunk/src/subprojects/framework.cc	(revision 4519)
@@ -236,11 +236,4 @@
 Framework* Framework::singletonRef = NULL;
 
-Framework* Framework::getInstance(void)
-{
-  if (Framework::singletonRef == NULL)
-    Framework::singletonRef = new Framework();
-  return Framework::singletonRef;
-}
-
 Framework::Framework()
 {
Index: orxonox/trunk/src/subprojects/framework.h
===================================================================
--- orxonox/trunk/src/subprojects/framework.h	(revision 4518)
+++ orxonox/trunk/src/subprojects/framework.h	(revision 4519)
@@ -37,5 +37,6 @@
   ~Framework(); 
   
-  static Framework* getInstance(void);
+  /** \returns a Pointer to the only object of this Class */
+  inline static Framework* getInstance(void) { if (!singletonRef) singletonRef = new Framework();  return singletonRef; };
 
 
Index: orxonox/trunk/src/util/collision_detection/cd_engine.cc
===================================================================
--- orxonox/trunk/src/util/collision_detection/cd_engine.cc	(revision 4518)
+++ orxonox/trunk/src/util/collision_detection/cd_engine.cc	(revision 4519)
@@ -36,14 +36,4 @@
 
 /**
-   \returns a Pointer to this Class
-*/
-CDEngine* CDEngine::getInstance(void)
-{
-  if (!CDEngine::singletonRef)
-    CDEngine::singletonRef = new CDEngine();
-  return CDEngine::singletonRef;
-}
-
-/**
    \brief standard deconstructor
 
Index: orxonox/trunk/src/util/collision_detection/cd_engine.h
===================================================================
--- orxonox/trunk/src/util/collision_detection/cd_engine.h	(revision 4518)
+++ orxonox/trunk/src/util/collision_detection/cd_engine.h	(revision 4519)
@@ -15,6 +15,7 @@
 
  public:
-  static CDEngine* getInstance(void);
   virtual ~CDEngine(void);
+  /** \returns a Pointer to the only object of this Class */
+  inline static CDEngine* getInstance(void) { if (!singletonRef) singletonRef = new CDEngine();  return singletonRef; };
 
  private:
Index: orxonox/trunk/src/util/garbage_collector.cc
===================================================================
--- orxonox/trunk/src/util/garbage_collector.cc	(revision 4518)
+++ orxonox/trunk/src/util/garbage_collector.cc	(revision 4519)
@@ -48,17 +48,4 @@
   // delete what has to be deleted here
 }
-
-
-/**
-   \brief this returns the singleton reference this this class
-   \returns singleton reference
-*/
-GarbageCollector* GarbageCollector::getInstance()
-{
-  if( singletonRef == NULL)
-    singletonRef = new GarbageCollector();
-  return singletonRef;
-}
-
 
 /**
Index: orxonox/trunk/src/util/garbage_collector.h
===================================================================
--- orxonox/trunk/src/util/garbage_collector.h	(revision 4518)
+++ orxonox/trunk/src/util/garbage_collector.h	(revision 4519)
@@ -22,7 +22,7 @@
 
  public:
-  GarbageCollector();
   virtual ~GarbageCollector();
-  static GarbageCollector* getInstance();
+  /** \returns a Pointer to the only object of this Class */
+  inline static GarbageCollector* getInstance(void) { if (!singletonRef) singletonRef = new GarbageCollector();  return singletonRef; };
 
   void setCollectionDelay(float delay);
@@ -34,4 +34,7 @@
 
  private:
+  GarbageCollector();
+
+ private:
   static GarbageCollector*    singletonRef;           //!< The reference to this class (singleton)
   float                       delay;                  //!< this is the delay to wait until collection
Index: orxonox/trunk/src/util/object_manager.cc
===================================================================
--- orxonox/trunk/src/util/object_manager.cc	(revision 4518)
+++ orxonox/trunk/src/util/object_manager.cc	(revision 4519)
@@ -44,15 +44,4 @@
 */
 ObjectManager* ObjectManager::singletonRef = NULL;
-
-/**
-   \returns a Pointer to this Class
-*/
-ObjectManager* ObjectManager::getInstance(void)
-{
-  if (!ObjectManager::singletonRef)
-    ObjectManager::singletonRef = new ObjectManager();
-  return ObjectManager::singletonRef;
-}
-
 
 /**
Index: orxonox/trunk/src/util/object_manager.h
===================================================================
--- orxonox/trunk/src/util/object_manager.h	(revision 4518)
+++ orxonox/trunk/src/util/object_manager.h	(revision 4519)
@@ -48,6 +48,7 @@
 
  public:
-  static ObjectManager* getInstance(void);
   virtual ~ObjectManager(void);
+  /** \returns a Pointer to the only object of this Class */
+  inline static ObjectManager* getInstance(void) { if (!singletonRef) singletonRef = new ObjectManager();  return singletonRef; };
   
   /** a class handled by the objectManage */
Index: orxonox/trunk/src/util/resource_manager.cc
===================================================================
--- orxonox/trunk/src/util/resource_manager.cc	(revision 4518)
+++ orxonox/trunk/src/util/resource_manager.cc	(revision 4519)
@@ -46,14 +46,4 @@
    this->imageDirs = new tList<char>();
    this->resourceList = new tList<Resource>();
-}
-
-/**
-   \returns the Instance to this ResourceManager
-*/
-ResourceManager* ResourceManager::getInstance(void)
-{
-  if (!ResourceManager::singletonRef)
-    ResourceManager::singletonRef = new ResourceManager();
-  return ResourceManager::singletonRef;
 }
 
Index: orxonox/trunk/src/util/resource_manager.h
===================================================================
--- orxonox/trunk/src/util/resource_manager.h	(revision 4518)
+++ orxonox/trunk/src/util/resource_manager.h	(revision 4519)
@@ -74,6 +74,6 @@
  public:
   virtual ~ResourceManager();
-
-  static ResourceManager* getInstance();
+  /** \returns a Pointer to the only object of this Class */
+  inline static ResourceManager* getInstance(void) { if (!singletonRef) singletonRef = new ResourceManager();  return singletonRef; };
 
   bool setDataDir(const char* dataDir);