Index: data/contentcreation/pps/RalphBurkart/export_nowic/noxon_spaceship_fighter.mtl
===================================================================
--- data/contentcreation/pps/RalphBurkart/export_nowic/noxon_spaceship_fighter.mtl	(revision 4523)
+++ data/contentcreation/pps/RalphBurkart/export_nowic/noxon_spaceship_fighter.mtl	(revision 4523)
@@ -0,0 +1,53 @@
+# Blender3D MTL File: orxon_spaceship_fighter_object.obj.blend
+# Material Count: 5
+newmtl Material_noxon_spaceship_fight
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+map_Kd noxon_spaceship_fighter_512.png
+
+
+newmtl (null).003
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
+newmtl (null).002
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
+newmtl (null).001
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
+newmtl (null)
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/contentcreation/pps/RalphBurkart/export_nowic/noxon_spaceship_fighter.oif
===================================================================
--- data/contentcreation/pps/RalphBurkart/export_nowic/noxon_spaceship_fighter.oif	(revision 4523)
+++ data/contentcreation/pps/RalphBurkart/export_nowic/noxon_spaceship_fighter.oif	(revision 4523)
@@ -0,0 +1,25 @@
+<ObjectInformationFile>
+
+<MountPoints>
+  <MP.01.lowerleft>
+    <Description>Turret slots</Description>
+    <OrxClass>leichteWaffe</OrxClass>
+  </MP.01.lowerleft>
+
+  <MP.02.upperleft>
+    <Description>Turret slots</Description>
+    <OrxClass>schwereWaffe</OrxClass>
+  </MP.02.upperleft>
+
+  <MP.03.lowerright>
+    <Description>Turret slots</Description>
+    <OrxClass>leichteWaffe</OrxClass>
+  </MP.03.lowerright>
+
+  <MP.04.upperright>
+    <Description>Turret slots</Description>
+    <OrxClass>schwereWaffe</OrxClass>
+  </MP.04.upperright>
+</MountPoints>
+
+</ObjectInformationFile>
Index: data/trunk/models/spaceships/noxon_spaceship_battleshell.mtl
===================================================================
--- data/trunk/models/spaceships/noxon_spaceship_battleshell.mtl	(revision 4522)
+++ 	(revision )
@@ -1,13 +1,0 @@
-# Blender3D MTL File: noxon_spaceship_battleshell.blend
-# Material Count: 1
-newmtl Material_noxon_spaceship_battl
-Ns 96.078431
-Ka 0.000000 0.000000 0.000000
-Kd 0.640000 0.640000 0.640000
-Ks 0.500000 0.500000 0.500000
-Ni 1.000000
-d 1.000000
-illum 2
-map_Kd noxon_spaceship_battleshell.jpg
-
-
Index: data/trunk/models/spaceships/noxon_spaceship_fighter.mtl
===================================================================
--- data/trunk/models/spaceships/noxon_spaceship_fighter.mtl	(revision 4523)
+++ data/trunk/models/spaceships/noxon_spaceship_fighter.mtl	(revision 4523)
@@ -0,0 +1,53 @@
+# Blender3D MTL File: orxon_spaceship_fighter_object.obj.blend
+# Material Count: 5
+newmtl Material_noxon_spaceship_fight
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+map_Kd noxon_spaceship_fighter_512.png
+
+
+newmtl (null).003
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
+newmtl (null).002
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
+newmtl (null).001
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
+newmtl (null)
+Ns 96.078431
+Ka 0.000000 0.000000 0.000000
+Kd 0.640000 0.640000 0.640000
+Ks 0.500000 0.500000 0.500000
+Ni 1.000000
+d 1.000000
+illum 2
+
+
Index: data/trunk/models/spaceships/noxon_spaceship_fighter.oif
===================================================================
--- data/trunk/models/spaceships/noxon_spaceship_fighter.oif	(revision 4523)
+++ data/trunk/models/spaceships/noxon_spaceship_fighter.oif	(revision 4523)
@@ -0,0 +1,25 @@
+<ObjectInformationFile>
+
+<MountPoints>
+  <MP.01.lowerleft>
+    <Description>Turret slots</Description>
+    <OrxClass>leichteWaffe</OrxClass>
+  </MP.01.lowerleft>
+
+  <MP.02.upperleft>
+    <Description>Turret slots</Description>
+    <OrxClass>schwereWaffe</OrxClass>
+  </MP.02.upperleft>
+
+  <MP.03.lowerright>
+    <Description>Turret slots</Description>
+    <OrxClass>leichteWaffe</OrxClass>
+  </MP.03.lowerright>
+
+  <MP.04.upperright>
+    <Description>Turret slots</Description>
+    <OrxClass>schwereWaffe</OrxClass>
+  </MP.04.upperright>
+</MountPoints>
+
+</ObjectInformationFile>