Index: /orxonox/trunk/configure
===================================================================
--- /orxonox/trunk/configure	(revision 4530)
+++ /orxonox/trunk/configure	(revision 4531)
@@ -8732,5 +8732,5 @@
 ## OUTPUT CONFIGURE ##
 ######################
-                                                                                                                                                                          ac_config_files="$ac_config_files Makefile src/Makefile src/lib/Makefile src/lib/graphics/Makefile src/lib/graphics/importer/Makefile src/lib/sound/Makefile src/lib/event/Makefile src/lib/physics/Makefile src/lib/particles/Makefile src/lib/collision_detection/Makefile src/lib/gui/Makefile src/lib/tinyxml/Makefile src/subprojects/Makefile src/subprojects/testmain/Makefile src/subprojects/importer/Makefile src/subprojects/particles/Makefile src/subprojects/gui/Makefile"
+                                                                                                                                                                                    ac_config_files="$ac_config_files Makefile src/Makefile src/lib/Makefile src/lib/graphics/Makefile src/lib/graphics/importer/Makefile src/lib/sound/Makefile src/lib/event/Makefile src/lib/physics/Makefile src/lib/particles/Makefile src/lib/collision_detection/Makefile src/lib/gui/Makefile src/lib/tinyxml/Makefile src/subprojects/Makefile src/subprojects/testmain/Makefile src/subprojects/importer/Makefile src/subprojects/particles/Makefile src/subprojects/collision_detection/Makefile src/subprojects/gui/Makefile"
 
 
@@ -9342,4 +9342,5 @@
   "src/subprojects/importer/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/subprojects/importer/Makefile" ;;
   "src/subprojects/particles/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/subprojects/particles/Makefile" ;;
+  "src/subprojects/collision_detection/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/subprojects/collision_detection/Makefile" ;;
   "src/subprojects/gui/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/subprojects/gui/Makefile" ;;
   "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
Index: /orxonox/trunk/src/lib/collision_detection/bv_tree.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/bv_tree.h	(revision 4530)
+++ /orxonox/trunk/src/lib/collision_detection/bv_tree.h	(revision 4531)
@@ -12,5 +12,5 @@
 // FORWARD DEFINITION
 class BoundingVolume;
-
+class sVec3D;
 
 //! A class that represents a bounding volume tree
@@ -32,4 +32,7 @@
   virtual void drawBVBlended(int currentDepth, const int depth) const;
 
+ protected:
+  sVec3D* vertices;
+
  private:
   BoundingVolume* firstElement;
Index: /orxonox/trunk/src/lib/collision_detection/obb.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb.cc	(revision 4530)
+++ /orxonox/trunk/src/lib/collision_detection/obb.cc	(revision 4531)
@@ -38,2 +38,22 @@
   // delete what has to be deleted here
 }
+
+
+sVect3D* OBB::getVertices() const
+{}
+
+
+void OBB::mergeWith(const BoundingVolume &bv)
+{}
+
+
+void OBB::drawBV(int currentDepth, const int depth) const
+{}
+
+
+void OBB::drawBVPolygon(int currentDepth, const int depth) const
+{}
+
+
+void OBB::drawBVBlended(int currentDepth, const int depth) const
+{}
Index: /orxonox/trunk/src/lib/collision_detection/obb.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb.h	(revision 4530)
+++ /orxonox/trunk/src/lib/collision_detection/obb.h	(revision 4531)
@@ -22,4 +22,12 @@
   inline const sVect3D* getHalfLength() const { return this->halfLength; } 
 
+  virtual sVect3D* getVertices() const;
+  virtual void mergeWith(const BoundingVolume &bv);
+
+  virtual void drawBV(int currentDepth, const int depth) const;
+  virtual void drawBVPolygon(int currentDepth, const int depth) const;
+  virtual void drawBVBlended(int currentDepth, const int depth) const;
+
+
  private:
   Vector*          axis;                       //!< Axes of oriented box [x,y,z]
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree.cc
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4530)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4531)
@@ -17,4 +17,5 @@
 
 #include "obb_tree.h"
+#include "obb.h"
 
 using namespace std;
@@ -42,5 +43,8 @@
 
 void OBBTree::spawnBVTree(int depth)
-{}
+{
+  OBB obb();
+  
+}
 
 
Index: /orxonox/trunk/src/lib/collision_detection/obb_tree.h
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/obb_tree.h	(revision 4530)
+++ /orxonox/trunk/src/lib/collision_detection/obb_tree.h	(revision 4531)
@@ -10,4 +10,5 @@
 #include "base_object.h"
 #include "bv_tree.h"
+
 
 //! A class for representing an obb tree
Index: /orxonox/trunk/src/subprojects/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/Makefile.in	(revision 4530)
+++ /orxonox/trunk/src/subprojects/Makefile.in	(revision 4531)
@@ -169,4 +169,5 @@
 SUBDIRS = importer \
 	  particles \
+	  collision_detection \
 	  gui \
 	  testmain
Index: /orxonox/trunk/src/subprojects/collision_detection/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4530)
+++ /orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4531)
@@ -39,5 +39,5 @@
 host_triplet = @host@
 bin_PROGRAMS = particles$(EXEEXT)
-subdir = src/subprojects/particles
+subdir = src/subprojects/collision_detection
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -52,5 +52,5 @@
 PROGRAMS = $(bin_PROGRAMS)
 am_particles_OBJECTS = particles-framework.$(OBJEXT) \
-	particles-particle_fun.$(OBJEXT) \
+	particles-collision_detection.$(OBJEXT) \
 	particles-particle_engine.$(OBJEXT) \
 	particles-particle_system.$(OBJEXT) \
@@ -77,4 +77,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/particles-base_object.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-camera.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/particles-collision_detection.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-framework.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-graphics_engine.Po \
@@ -88,5 +89,4 @@
 @AMDEP_TRUE@	./$(DEPDIR)/particles-particle_emitter.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-particle_engine.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/particles-particle_fun.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-particle_system.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-primitive_model.Po \
@@ -225,5 +225,5 @@
 
 particles_SOURCES = ../framework.cc \
-		   particle_fun.cc \
+		   collision_detection.cc \
 		   $(MAINSRCDIR)/lib/particles/particle_engine.cc \
 		   $(MAINSRCDIR)/lib/particles/particle_system.cc \
@@ -260,7 +260,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/particles/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/collision_detection/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/particles/Makefile
+	  $(AUTOMAKE) --foreign  src/subprojects/collision_detection/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -316,4 +316,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-base_object.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-camera.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-collision_detection.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-framework.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-graphics_engine.Po@am__quote@
@@ -327,5 +328,4 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-particle_emitter.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-particle_engine.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-particle_fun.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-particle_system.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-primitive_model.Po@am__quote@
@@ -368,19 +368,19 @@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-framework.obj `if test -f '../framework.cc'; then $(CYGPATH_W) '../framework.cc'; else $(CYGPATH_W) '$(srcdir)/../framework.cc'; fi`
 
-particles-particle_fun.o: particle_fun.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_fun.o -MD -MP -MF "$(DEPDIR)/particles-particle_fun.Tpo" -c -o particles-particle_fun.o `test -f 'particle_fun.cc' || echo '$(srcdir)/'`particle_fun.cc; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-particle_fun.Tpo" "$(DEPDIR)/particles-particle_fun.Po"; else rm -f "$(DEPDIR)/particles-particle_fun.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='particle_fun.cc' object='particles-particle_fun.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-particle_fun.Po' tmpdepfile='$(DEPDIR)/particles-particle_fun.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_fun.o `test -f 'particle_fun.cc' || echo '$(srcdir)/'`particle_fun.cc
-
-particles-particle_fun.obj: particle_fun.cc
-@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-particle_fun.obj -MD -MP -MF "$(DEPDIR)/particles-particle_fun.Tpo" -c -o particles-particle_fun.obj `if test -f 'particle_fun.cc'; then $(CYGPATH_W) 'particle_fun.cc'; else $(CYGPATH_W) '$(srcdir)/particle_fun.cc'; fi`; \
-@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-particle_fun.Tpo" "$(DEPDIR)/particles-particle_fun.Po"; else rm -f "$(DEPDIR)/particles-particle_fun.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='particle_fun.cc' object='particles-particle_fun.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-particle_fun.Po' tmpdepfile='$(DEPDIR)/particles-particle_fun.TPo' @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-particle_fun.obj `if test -f 'particle_fun.cc'; then $(CYGPATH_W) 'particle_fun.cc'; else $(CYGPATH_W) '$(srcdir)/particle_fun.cc'; fi`
+particles-collision_detection.o: collision_detection.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-collision_detection.o -MD -MP -MF "$(DEPDIR)/particles-collision_detection.Tpo" -c -o particles-collision_detection.o `test -f 'collision_detection.cc' || echo '$(srcdir)/'`collision_detection.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-collision_detection.Tpo" "$(DEPDIR)/particles-collision_detection.Po"; else rm -f "$(DEPDIR)/particles-collision_detection.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='collision_detection.cc' object='particles-collision_detection.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-collision_detection.Po' tmpdepfile='$(DEPDIR)/particles-collision_detection.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-collision_detection.o `test -f 'collision_detection.cc' || echo '$(srcdir)/'`collision_detection.cc
+
+particles-collision_detection.obj: collision_detection.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-collision_detection.obj -MD -MP -MF "$(DEPDIR)/particles-collision_detection.Tpo" -c -o particles-collision_detection.obj `if test -f 'collision_detection.cc'; then $(CYGPATH_W) 'collision_detection.cc'; else $(CYGPATH_W) '$(srcdir)/collision_detection.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-collision_detection.Tpo" "$(DEPDIR)/particles-collision_detection.Po"; else rm -f "$(DEPDIR)/particles-collision_detection.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='collision_detection.cc' object='particles-collision_detection.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-collision_detection.Po' tmpdepfile='$(DEPDIR)/particles-collision_detection.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-collision_detection.obj `if test -f 'collision_detection.cc'; then $(CYGPATH_W) 'collision_detection.cc'; else $(CYGPATH_W) '$(srcdir)/collision_detection.cc'; fi`
 
 particles-particle_engine.o: $(MAINSRCDIR)/lib/particles/particle_engine.cc