Index: data/trunk/levels/vertical_scroller.oxw
===================================================================
--- data/trunk/levels/vertical_scroller.oxw	(revision 4534)
+++ data/trunk/levels/vertical_scroller.oxw	(revision 4537)
@@ -14,4 +14,51 @@
   </LoadScreen>
 
+  <clip-region>1, 100000</clip-region>
+
+  <WorldEntities>
+    <Building>
+      <name>zhara</name>
+      <abs-coor>0,0,0</abs-coor>
+    </Building>
+
+    <SpaceShip>
+      <name>Player</name>
+      <model>models/spaceships/human_spaceship_bomber.obj</model>
+      <abs-coor>0,0,0</abs-coor>
+      <Size>100</Size>
+      <playmode>Horizontal</playmode>
+      <Track>
+        <addPoint>0,0,0</addPoint>
+        <addPoint>200,0,0</addPoint>
+        <addPoint>400,0,50</addPoint>
+        <addPoint>600,0,-50</addPoint>
+        <addPoint>1000,0,0</addPoint>
+        <addPoint>3000,0,0</addPoint>
+      </Track>
+    </SpaceShip>
+
+   <SkyBox>
+      <name>Sky</name>
+      <Materialset>textures/sky/simple_space</Materialset>
+      <Size>100000</Size>
+    </SkyBox>
+  </WorldEntities>
+
+  <LightManager>
+    <Lights>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>100,1000,50</abs-coor>
+       <parent>Player</parent>
+      </Light>
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>3000,1000,1700</abs-coor>
+       <parent>Player</parent>
+      </Light>
+    </Lights>
+    <ambient-color>1,1,1</ambient-color>
+  </LightManager>
+
 
 </WorldDataFile>
Index: data/trunk/models/guns/blaster.mtl
===================================================================
--- data/trunk/models/guns/blaster.mtl	(revision 4537)
+++ data/trunk/models/guns/blaster.mtl	(revision 4537)
@@ -0,0 +1,2 @@
+# Blender3D MTL File: blaster1b.blend
+# Material Count: 0
Index: data/trunk/models/guns/fragcannon.mtl
===================================================================
--- data/trunk/models/guns/fragcannon.mtl	(revision 4537)
+++ data/trunk/models/guns/fragcannon.mtl	(revision 4537)
@@ -0,0 +1,2 @@
+# Blender3D MTL File: blaster3a1.blend
+# Material Count: 0
Index: data/trunk/models/guns/gattling.mtl
===================================================================
--- data/trunk/models/guns/gattling.mtl	(revision 4537)
+++ data/trunk/models/guns/gattling.mtl	(revision 4537)
@@ -0,0 +1,2 @@
+# Blender3D MTL File: blaster4.blend
+# Material Count: 0
Index: data/trunk/models/guns/turret1.mtl
===================================================================
--- data/trunk/models/guns/turret1.mtl	(revision 4537)
+++ data/trunk/models/guns/turret1.mtl	(revision 4537)
@@ -0,0 +1,29 @@
+newmtl blinn1SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn2SG
+illum 4
+Kd 0.71 0.02 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn3SG
+illum 4
+Kd 1.00 0.93 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+Ni 1.00
+Ks 0.50 0.50 0.50
+newmtl blinn4SG
+illum 4
+Kd 0.00 0.00 0.00
+Ka 0.00 0.00 0.00
+Tf 1.00 1.00 1.00
+map_Kd orxonox-rocket.jpg
+Ni 1.00
+Ks 0.50 0.50 0.50
Index: data/trunk/models/projectiles/hbolt.mtl
===================================================================
--- data/trunk/models/projectiles/hbolt.mtl	(revision 4537)
+++ data/trunk/models/projectiles/hbolt.mtl	(revision 4537)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: torp6b.blend
+# Material Count: 1
+newmtl None_hbolt.png
+Ns 0
+Ka 0.000000 0.000000 0.000000
+Kd 0.8 0.8 0.8
+Ks 0.8 0.8 0.8
+d 1
+illum 2
+map_Kd hbolt.png
+
+
Index: data/trunk/models/projectiles/lbolt.mtl
===================================================================
--- data/trunk/models/projectiles/lbolt.mtl	(revision 4537)
+++ data/trunk/models/projectiles/lbolt.mtl	(revision 4537)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: lbolt.blend
+# Material Count: 1
+newmtl None_lbolt.png
+Ns 0
+Ka 0.000000 0.000000 0.000000
+Kd 0.8 0.8 0.8
+Ks 0.8 0.8 0.8
+d 1
+illum 2
+map_Kd lbolt.png
+
+
Index: data/trunk/models/projectiles/mbolt.mtl
===================================================================
--- data/trunk/models/projectiles/mbolt.mtl	(revision 4537)
+++ data/trunk/models/projectiles/mbolt.mtl	(revision 4537)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: mbolt.blend
+# Material Count: 1
+newmtl None_laser.png
+Ns 0
+Ka 0.000000 0.000000 0.000000
+Kd 0.8 0.8 0.8
+Ks 0.8 0.8 0.8
+d 1
+illum 2
+map_Kd laser.png
+
+
Index: data/trunk/models/projectiles/spike_ball.mtl
===================================================================
--- data/trunk/models/projectiles/spike_ball.mtl	(revision 4537)
+++ data/trunk/models/projectiles/spike_ball.mtl	(revision 4537)
@@ -0,0 +1,2 @@
+# Blender3D MTL File: torp7.blend
+# Material Count: 0
Index: data/trunk/models/projectiles/swarm_projectile.mtl
===================================================================
--- data/trunk/models/projectiles/swarm_projectile.mtl	(revision 4537)
+++ data/trunk/models/projectiles/swarm_projectile.mtl	(revision 4537)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: missile6a.blend
+# Material Count: 1
+newmtl None_missile6.blendTube.tg
+Ns 0
+Ka 0.000000 0.000000 0.000000
+Kd 0.8 0.8 0.8
+Ks 0.8 0.8 0.8
+d 1
+illum 2
+map_Kd swarm_projectile.tga
+
+